%global shortcommit     1856891
%global compiledate     August\ 10,\ 2018

# Generated by go2rpm 1
%bcond_without check

# https://github.com/zyedidia/micro
%global goipath         github.com/zyedidia/micro
Version:                1.4.1

%gometa

%global goname          micro

%global common_description %{expand:
Micro is a terminal-based text editor that aims to be easy to use and
intuitive, while also taking advantage of the full capabilities of modern
terminals. It comes as one single, batteries-included, static binary with no
dependencies, and you can download and use it right now.

As the name indicates, micro aims to be somewhat of a successor to the nano
editor by being easy to install and use in a pinch, but micro also aims to be
enjoyable to use full time, whether you work in the terminal because you prefer
it (like me), or because you need to (over ssh).}

%global golicenses      LICENSE LICENSE-THIRD-PARTY
%global godocs          README.md

Name:           %{goname}
Release:        7%{?dist}
Summary:        A modern and intuitive terminal-based text editor
# Upstream license specification: MIT and Apache-2.0
License:        MIT and ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/blang/semver)
BuildRequires:  golang(github.com/dustin/go-humanize)
BuildRequires:  golang(github.com/flynn/json5)
BuildRequires:  golang(github.com/go-errors/errors)
BuildRequires:  golang(github.com/mattn/go-isatty)
BuildRequires:  golang(github.com/mattn/go-runewidth)
BuildRequires:  golang(github.com/mitchellh/go-homedir)
BuildRequires:  golang(github.com/sergi/go-diff/diffmatchpatch)
BuildRequires:  golang(github.com/yuin/gopher-lua)
BuildRequires:  golang(github.com/zyedidia/clipboard)
BuildRequires:  golang(github.com/zyedidia/glob)
BuildRequires:  golang(github.com/zyedidia/tcell)
BuildRequires:  golang(github.com/zyedidia/tcell/encoding)
BuildRequires:  golang(github.com/zyedidia/terminal)
BuildRequires:  golang(gopkg.in/yaml.v2)
BuildRequires:  golang(layeh.com/gopher-luar)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/smartystreets/goconvey/convey)
%endif

%description
%{common_description}

%prep
%goprep

%build
export LDFLAGS="-X main.Version=%{version} \
                -X main.CommitHash=%{shortcommit} \
                -X 'main.CompileDate=%{compiledate}' "
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d cmd/micro/shellwords -d cmd/micro/terminfo
%endif

%files
%license LICENSE LICENSE-THIRD-PARTY
%doc README.md
%{_bindir}/*

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 23 23:24:56 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-6
- Update to new macros

* Wed Feb 20 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-5
- Fix sergi/go-diff BR

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Aug 10 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-1
- Upstream release 1.4.1

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 06 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.0-2
- Add missing versioning data to build stage
- Update to new Go packaging guidelines

* Fri Jan 26 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.0-1
- Upstream release 1.4.0

* Thu Dec 07 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.4-1
- Upstream release 1.3.4

* Fri Sep 29 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.3-1
- Initial RPM release

